Package org.opensaml.security.x509.tls.impl

# Class ThreadLocalX509TrustManager

java.lang.Object
org.opensaml.security.x509.tls.impl.ThreadLocalX509TrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

public class ThreadLocalX509TrustManager extends Object implements X509TrustManager
An implementation of `X509TrustManager` which performs its evaluation using trust engine and criteria instances available from `ThreadLocalX509TrustEngineContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`ThreadLocalX509TrustManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkClientTrusted(X509Certificate[] chain, String authType)`
`void`
`checkServerTrusted(X509Certificate[] chain, String authType)`
`X509Certificate[]`
`getAcceptedIssuers()`
`protected void`
`performTrustEval(X509Certificate[] chain, String authType)`
Perform trust evaluation on the specified certificate chain using the trust engine and criteria available from `ThreadLocalX509TrustEngineContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### ThreadLocalX509TrustManager

public ThreadLocalX509TrustManager()

## Method Details

### getAcceptedIssuers

public X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `X509TrustManager`

### checkClientTrusted

public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException

Specified by:
  `checkClientTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

### checkServerTrusted

public void checkServerTrusted(X509Certificate[] chain, String authType) throws CertificateException

Specified by:
  `checkServerTrusted` in interface `X509TrustManager`
Throws:
  `CertificateException`

### performTrustEval

protected void performTrustEval(X509Certificate[] chain, String authType) throws CertificateException
Perform trust evaluation on the specified certificate chain using the trust engine and criteria available from `ThreadLocalX509TrustEngineContext`.

Parameters:
  `chain` - the peer certificate chain
  `authType` - the authentication type based on the client certificate
Throws:
  `CertificateException` - if the certificate chain is not trusted by this TrustManager.